****************************************************************************
* Project:	ultraDev
* Module:	Background color and raster line example
* Code:		ultra
* Created:	23.12.2019
* Notes:	small demo how to set the background color
*			and how to do rasterlines
* Modified:
* Changes:
*
* (c) 2019 cream
****************************************************************************
	jmp		start

****************************************************************************
	include "UDAll.s"

****************************************************************************
start:
	pea		prg(pc)
	move.w	#$0026,-(sp)
	trap	#$0e
	adda.l	#6,sp
	rts

****************************************************************************
prg:
	// no interrupts otherwise the raster will flicker ;)
	move	#$2700,sr

	// switch to 40 chars per line
	move	#0,d0
	bsr		UDVidSetVideoMode

	// clear
	move	#' ',d0
	bsr		UDDbgScrClear

	// print some text
	move	#10,d0
	move	#16,d1
	move	#7,d2
	lea		text(pc),a0
	jsr		UDDbgScrPrint

	// do the rasters on the background color
.loop
	bsr		UDVidGetVGAY
	cmp		#400,d0
	bne.s	.loop
	move	#1,d0				; set bg to red
	bsr		UDVidSetBGColor

.loop2
	bsr		UDVidGetVGAY
	cmp		#650,d0
	bne.s	.loop2
	move	#0,d0				; set bg to black
	bsr		UDVidSetBGColor

	bra		.loop

****************************************************************************
text:	dc.b "ultraDev Raster Demo",0
